<!doctype html>
<html lang="en" class="h-100"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">
  <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
  <meta name="generator" content="Hugo 0.101.0">
  <title>HRIS Institut Tazkia</title>

<!--  <link rel="canonical" href="https://getbootstrap.com/docs/5.2/examples/sticky-footer-navbar/">-->





  <link th:href="@{/bootstrap52/css/bootstrap.min.css}"  rel="stylesheet" integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
  <link th:href="@{/css/select2/select2.min.css}" rel="stylesheet">
  <link th:href="@{/css/select2/select2-bootstrap-5-theme.css}" rel="stylesheet">
    <link th:href="@{/css/datepicker.css}" rel="stylesheet">
    <link rel="stylesheet" th:href="@{/plugins/timepicker/bootstrap-timepicker.min.css}">



  <!-- Favicons -->
<!--  <link rel="apple-touch-icon" href="/docs/5.2/assets/img/favicons/apple-touch-icon.png" sizes="180x180">-->
<!--  <link rel="icon" href="/docs/5.2/assets/img/favicons/favicon-32x32.png" sizes="32x32" type="image/png">-->
<!--  <link rel="icon" href="/docs/5.2/assets/img/favicons/favicon-16x16.png" sizes="16x16" type="image/png">-->
<!--  <link rel="manifest" href="/docs/5.2/assets/img/favicons/manifest.json">-->
<!--  <link rel="mask-icon" href="/docs/5.2/assets/img/favicons/safari-pinned-tab.svg" color="#712cf9">-->
<!--  <link rel="icon" href="/docs/5.2/assets/img/favicons/favicon.ico">-->
  <meta name="theme-color" content="#712cf9">

    <style>
        .input-group-append {
            cursor: pointer;
        }
    </style>

  <style>
    .bd-placeholder-img {
      font-size: 1.125rem;
      text-anchor: middle;
      -webkit-user-select: none;
      -moz-user-select: none;
      user-select: none;
    }

    @media (min-width: 768px) {
      .bd-placeholder-img-lg {
        font-size: 3.5rem;
      }
    }

    .b-example-divider {
      height: 3rem;
      background-color: rgba(0, 0, 0, .1);
      border: solid rgba(0, 0, 0, .15);
      border-width: 1px 0;
      box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
    }

    .b-example-vr {
      flex-shrink: 0;
      width: 1.5rem;
      height: 100vh;
    }

    .bi {
      vertical-align: -.125em;
      fill: currentColor;
    }

    .nav-scroller {
      position: relative;
      z-index: 2;
      height: 2.75rem;
      overflow-y: hidden;
    }

    .nav-scroller .nav {
      display: flex;
      flex-wrap: nowrap;
      padding-bottom: 1rem;
      margin-top: -1px;
      overflow-x: auto;
      text-align: center;
      white-space: nowrap;
      -webkit-overflow-scrolling: touch;
    }
  </style>


  <!-- Custom styles for this template -->
  <link th:href="@{/css/navbar-fixed-top.css}" rel="stylesheet">
  <link th:href="@{/css/sticky-footer-navbar.css}" rel="stylesheet">
  <link th:href="@{/css/doc.css}" rel="stylesheet">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">
<!--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">-->

<!--    <link rel="stylesheet" th:href="@{/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css}">-->
</head>
<body class="d-flex flex-column h-100" style="background-color: #f1f6fd;">

<header class="mb-3">
  <!-- Fixed navbar -->
  <nav class="navbar p-1 mb-4 navbar-expand-md navbar-light fixed-top bg-body shadow-sm shadow-bottom border border-bottom">
    <div class="container-fluid">
      <button class="navbar-toggler p-2" type="button" data-bs-toggle="offcanvas" data-bs-target="#bdSidebar" aria-controls="bdSidebar" aria-label="Toggle docs navigation">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" class="bi" fill="currentColor" viewBox="0 0 16 16">
          <path fill-rule="evenodd" d="M2.5 11.5A.5.5 0 0 1 3 11h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4A.5.5 0 0 1 3 3h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z"/>
        </svg>

        <span class="d-none fs-6 pe-1">Browse</span>
      </button>
      <a class="navbar-brand" th:href="@{/dashboard}"> <img th:src="@{/dist/img/tazkia2.png}" alt="" width="60" height="55" class="img-circle">
<!--                    <b class="h3" style="text-shadow: 0px 2px 2px rgb(160,168,173); color: #15408d;">HRIS</b>-->
      </a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav me-auto mb-2 mb-md-0">
<!--          <li class="nav-item">-->
<!--            <a th:class="${'nav-link '+ settings}" aria-current="page" sec:authorize="hasAuthority('MENU_COMPANIES') or hasAuthority('MENU_DEPARTMENT') or hasAuthority('MENU_JOB_LEVEL') or hasAuthority('MENU_POSITION') or hasAuthority('MENU_EMPLOYES') or hasAuthority('MENU_LECTURER') or hasAuthority('MENU_USER') or hasAuthority('MENU_BANK') or hasAuthority('MENU_SETTING_APPROVAL') or hasAuthority('MENU_SETTING_TIME_MANAGEMENT') or hasAuthority('MENU_SETTING_PAYROLL_CONFIGURATION') or hasAuthority('MENU_SETTING_TIME_OFF_CONFIGURATION') or hasAuthority('MENU_SETTING_DAY_OFF_CONFIGURATION')" th:href="@{/masterdata/home}">Setting</a>-->
<!--          </li>-->

          <li class="nav-item dropdown">
            <a th:class="${'nav-link dropdown-toggle '+ settings}" sec:authorize="hasAuthority('MENU_COMPANIES') or hasAuthority('MENU_DEPARTMENT') or hasAuthority('MENU_JOB_LEVEL') or hasAuthority('MENU_POSITION') or hasAuthority('MENU_EMPLOYES') or hasAuthority('MENU_LECTURER') or hasAuthority('MENU_USER') or hasAuthority('MENU_BANK') or hasAuthority('MENU_SETTING_APPROVAL') or hasAuthority('MENU_SETTING_TIME_MANAGEMENT') or hasAuthority('MENU_SETTING_PAYROLL_CONFIGURATION') or hasAuthority('MENU_SETTING_TIME_OFF_CONFIGURATION') or hasAuthority('MENU_SETTING_DAY_OFF_CONFIGURATION')" data-bs-toggle="dropdown" href="#" role="button" aria-expanded="false">Settings</a>
            <ul class="dropdown-menu">
<!--              <li><a class="dropdown-item" href="#">Action</a></li>-->
<!--              <li><a class="dropdown-item" href="#">Another action</a></li>-->
<!--              <li><a class="dropdown-item" href="#">Something else here</a></li>-->
<!--              <li><hr class="dropdown-divider"></li>-->
<!--              <li><a class="dropdown-item" href="#">Separated link</a></li>-->

                <li><a th:class="${'dropdown-item ' + menuapproval}" th:href="@{/setting/attendance_approval}" sec:authorize="hasAuthority('MENU_SETTING_APPROVAL')"><i class="fa fa-check"></i> Approval</a></li>
                <li><a th:class="${'dropdown-item ' + settingApprovalLoan}" th:href="@{/setting/approval/loan}" sec:authorize="hasAuthority('MENU_SETTING_APPROVAL')"><i class="fa fa-check"></i> Approval Loan</a></li>
                <li><a th:class="${'dropdown-item ' + menurecruitmentapproval}" th:href="@{/setting/approval_request}" sec:authorize="hasAuthority('MENU_SETTING_RECRUITMENT_APPROVAL')"><i class="fa fa-check"></i> Approval Recruitment</a></li>
                <li><hr class="dropdown-divider"></li>
                <li><a th:class="${'dropdown-item ' + menutimemanagement}" th:href="@{/setting/timemanagement/pattern}" sec:authorize="hasAuthority('MENU_SETTING_TIME_MANAGEMENT')"><i class="fa fa-clock"></i> Time Management</a></li>
                <li><a th:class="${'dropdown-item ' + menupayrollconfiguration}" th:href="@{/setting/payroll/periode}" sec:authorize="hasAuthority('MENU_SETTING_PAYROLL_CONFIGURATION')"><i class="fa fa-money"></i> Payroll Configuration</a></li>
                <li><a th:class="${'dropdown-item ' + menutimeoffconfiguration}" th:href="@{/setting/timeoff/jenis}" sec:authorize="hasAuthority('MENU_SETTING_TIME_OFF_CONFIGURATION')"><i class="fa fa-clock-o"></i> Time Off Configuration</a></li>
                <li><a th:class="${'dropdown-item ' + menudayoffconfiguration}" th:href="@{/setting/day/off}" sec:authorize="hasAuthority('MENU_SETTING_DAY_OFF_CONFIGURATION')"><i class="fa fa-calendar-o"></i> Day Off Configuration</a></li>
                <li><hr class="dropdown-divider"></li>
                <li><a th:class="${'dropdown-item ' + menusettingkpiperiode}" th:href="@{/setting/kpi/periode}" sec:authorize="hasAuthority('MENU_SETTING_KPI_PERIODE')"><i class="fa fa-pen"></i> KPI Period</a></li>
                <li><hr class="dropdown-divider"></li>
                <li><a th:class="${'dropdown-item ' + menuscheduledaily}" th:href="@{/setting/schedule/daily}" sec:authorize="hasAuthority('MENU_SETTING_SCHEDULE_DAILY')"><i class="fa fa-calendar-day"></i> Daily Scheduler</a></li>
                <li><a th:class="${'dropdown-item ' + menuscheduleevent}" th:href="@{/setting/schedule/event}" sec:authorize="hasAuthority('MENU_SETTING_SCHEDULE_EVENT')"><i class="fa fa-calendar-check"></i> Event Scheduler</a></li>
            </ul>
          </li>

          <!--          <li class="nav-item">-->
<!--            <a th:class="${'nav-link '+ settings}" href="#">Setting</a>-->
<!--          </li>-->
          <li class="nav-item">
            <a th:class="${'nav-link '+ requests}" href="#">Request</a>
          </li>
<!--          <li class="nav-item">-->
<!--            <a th:class="${'nav-link '+ approvals}">Approval</a>-->
<!--          </li>-->
          <li class="nav-item" sec:authorize="hasAuthority('MENU_ATTENDANCE') or hasAuthority('MENU_ATTENDANCE_RUN') or hasAuthority('MENU_ATTENDANCE_REPORT')">
            <a th:href="@{/attendance}" sec:authorize="hasAuthority('MENU_ATTENDANCE') or hasAuthority('MENU_ATTENDANCE_RUN') or hasAuthority('MENU_ATTENDANCE_REPORT')" th:class="${'nav-link '+ attendances}">Attendance</a>
          </li>
          <li sec:authorize="hasAuthority('MENU_PAYROLL') or hasAuthority('MENU_PAYROLL_REPORT') or hasAuthority('MENU_PAYROLL_RUN') or hasAuthority('MENU_PAYROLL_UPDATE')" class="nav-item">
            <a th:href="@{/payroll}" sec:authorize="hasAuthority('MENU_PAYROLL') or hasAuthority('MENU_PAYROLL_REPORT') or hasAuthority('MENU_PAYROLL_RUN') or hasAuthority('MENU_PAYROLL_UPDATE')" th:class="${'nav-link '+ payrolls}">Payroll</a>
          </li>
<!--          <li class="nav-item">-->
<!--            <a th:class="${'nav-link '+ thrs}">THR</a>-->
<!--          </li>-->
<!--          <li class="nav-item">-->
<!--            <a th:class="${'nav-link '+ recruitments}">Recruitment</a>-->
<!--          </li>-->
<!--          <li class="nav-item">-->
<!--            <a th:class="${'nav-link '+ finances}">Finance</a>-->
          </li>
        </ul>
        <div class="d-flex">
<!--          <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">-->
<!--          <button class="btn btn-outline-success" type="submit">Search</button>-->

          <button type="button" class="btn btn-link nav-link py-2 px-0 px-lg-2 dropdown-toggle active" style="color: #a0a8ad" data-bs-toggle="dropdown" aria-expanded="false" data-bs-display="static">
            <i class="fa-regular fa-user fa-1x shadow-sm me-2"></i>
            <span th:text="${#authentication.principal.fullName}"></span>
          </button>
          <ul class="dropdown-menu dropdown-menu-end">
            <li>
              <a class="dropdown-item current" aria-current="true" href="/docs/5.2/forms/input-group/">
                Profile
              </a>
            </li>
            <li>
              <form class="d-flex" th:action="@{/logout}" method="post">
                <button class="dropdown-item current" type="submit">Log out</button>
              </form>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </nav>
</header>

<!-- Begin page content -->
<div class="flex-shrink-0">
  <main class="container" layout:fragment="main">

  </main>
</div>

<footer class="footer mt-auto py-3 shadow-sm shadow-top border border-top" style="background-color: #eaf1fc;">
  <div class="container-fluid">
    <span class="small" style="color: #a0a8ad">Copyright &copy; 2021 <a href="https://tazkia.ac.id">Tazkia University</a>. All rights
        reserved.</span>

      <div class="float-right d-none d-sm-inline-block">
          <b>Version</b> 1.3.22
      </div>
  </div>
</footer>

<!--<link rel="stylesheet" th:href="@{/bower_components/morris.js/morris.css}">-->
<script th:src="@{/bootstrap52/js/bootstrap.bundle.min.js}" integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous"></script>
<script src="https://kit.fontawesome.com/acdea388e2.js" crossorigin="anonymous"></script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<!--<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>-->

<main layout:fragment="footer" class="script">


</main>

<script>
  $( '#selectsatu' ).select2( {
    theme: "bootstrap-5",
    width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    placeholder: $( this ).data( 'placeholder' ),
  } );
  $( '#selectdua' ).select2( {
    theme: "bootstrap-5",
    width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    placeholder: $( this ).data( 'placeholder' ),
  } );

  $( '#selecttiga' ).select2( {
    theme: "bootstrap-5",
    width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    placeholder: $( this ).data( 'placeholder' ),
  } );
  $( '#selectempat' ).select2( {
    theme: "bootstrap-5",
    width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
    placeholder: $( this ).data( 'placeholder' ),
  } );
  $( '#idKpi' ).select2( {
      theme: "bootstrap-5",
      width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
      placeholder: $( this ).data( 'placeholder' ),
  } );
</script>

<!--<section layout:fragment="footer"></section>-->


</body>
</html>
